%global version  0.9.1
%global momorel  1
%global src_name honoka-plugin-kanainput
%global md5sum   862933f264b388fc1df8e73b76543fe5

%define honoka_version   0.9.1

Name:       honoka-plugin-kanainput
Summary:    A Hiragana input plugin for honoka
Version:    %{version}
Release:    %{momorel}m
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
%NoSource 0 http://nop.net-p.org/files/honoka/%{src_name}-%{version}.tar.gz %{md5sum}
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
A Hiragana input plugin for honoka.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken:
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/honoka/*.{a,la}

%find_lang honoka-plugin-kanainput

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-kanainput.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/honoka/*.so


%changelog
* Mon Jul  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- Initial commit Momonga Linux

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- first spec for Mandriva Linux
